Subject: [Explicit-meas] New changes on draft-mdt-ippm-explicit-flow-measurements (submission in few hours)

From: "Bulgarella Fabio (Guest)" <[email-masked]>
Date: Mon, 22 Feb 2021 15:36:12 +0000

Dear Authors,

we updated the PR (https://github.com/igorlord/draft-mdt-ippm-explicit-flow-measurements/pull/7?) including Giuseppe suggestions and other small changes on delay bit section.

According to today's deadline at 18:00 UTC we will publish this new draft version.

Any new changes can be added starting from the first day of the 110 meeting (Monday 8th of March).

Best Regards,

Fabio, Mauro, Massimo

________________________________
Da: Giuseppe Fioccola <[email-masked]>
Inviato: venerdì 19 febbraio 2021 10:38
A: Bulgarella Fabio (Guest); [email-masked]
Cc: Jari Arkko; Marcus Ihlar; [email-masked]
Oggetto: [EXT] RE: New proposed draft-mdt-ippm-explicit-flow-measurements version

Dear Fabio, Mauro, Massimo,
Thank you for the proposed changes.
It is ok to have this new algorithm for the Delay Bit independently from the Spin Bit.
Anyway, for the sake of completeness, I would suggest to continue to keep all the options in the draft.

1)      We could keep mentioning in the Delay bit section (maybe with a subsection) the possibility to use the Delay Bit in combination with the Spin Bit. I think it is something that the reader may wonder.

2)      Also, I would suggest to modify the summary table on Delay as below. The resilience to the impairments could be put as medium for the Delay Bit only and higher for the combination Spin Bit + Delay Bit.

+------------------+----+-------------------------+---------------+
| Method           |# of|        Available        |               |
|                  |bits|      Delay Metrics      |  Impairments  |
|                  |    +------------+------------+  Resiliency   |
|                  |    |   UNIDIR   |   BIDIR    |               |
|                  |    |  Observer  |  Observer  |               |
+------------------+----+------------+------------+---------------+
|S: Spin Bit       | 1  | RTT        | x2         | lower         |
|                  |    |            | Half RTT   |               |
+------------------+----+------------+------------+---------------+
|D: Delay Bit      | 1  | RTT        | x2         | medium        |
|                  |    |            | Half RTT   |               |
+------------------+----+------------+------------+---------------+
|SD: Spin Bit +    | 2  | RTT        | x2         | higher        |
|    Delay Bit     |    |            | Half RTT   |               |
+------------------+----+------------+------------+---------------+

Regards,

Giuseppe

From: Bulgarella Fabio (Guest) [mailto:[email-masked]]
Sent: Thursday, February 18, 2021 5:01 PM
To: [email-masked]
Cc: Jari Arkko <[email-masked]>; Marcus Ihlar <[email-masked]>; [email-masked]
Subject: New proposed draft-mdt-ippm-explicit-flow-measurements version
Importance: High

Dear Authors,

we propose a new version of draft-mdt-ippm-explicit-flow-measurements.

We changed the Delay Bit section proposing a new version of the algorithm independent from the spin bit.

In few words, the client generates a delay sample (just one marked packet); if this sample does not come back to the client after a time interval named "T_Max", the client regenerates the lost sample.

Moreover, if the delay sample is being reflected with a delay greater than a predetermined threshold (1ms by default) after the reception, the delay sample is not reflected and the outgoing delay bit is kept at 0.

We have kept the same advantages of the "spin bit + delay bit" solution by using only one bit for the delay calculation.
Here the corresponding PR: https://github.com/igorlord/draft-mdt-ippm-explicit-flow-measurements/pull/7

We'd like to present this new version at the next IPPM meeting. The deadline is Monday 22nd of February. Sorry for the late submission.

Waiting for comments or suggestions,
Best Regards.

Fabio, Mauro, Massimo
 ?